From 67348c210f23b67b2724883ee12e0e9aeac000e8 Mon Sep 17 00:00:00 2001
From: Sushant Kaushik <skaushik@codeaurora.org>
Date: Wed, 24 Sep 2014 16:17:08 +0530
Subject: [PATCH 1/2] wlan:Ini scan parameters not effective on DFS channels.

Currently in limContinuePostChannelScan API, for DFS channels
dwell time is taken as WNI_CFG_PASSIVE_MAXIMUM_CHANNEL_TIME.
This parameter is always set as gPassiveMaxChannelTime.
As a part of fix, made sure that for DFS channel dwell time
is reset as per the configuration in ini file for connected
session case.

Change-Id: I13d386db7dbbea9ddc6282d20ee6ea4f8cc50d3a
CRs-Fixed: 729426
---
 CORE/SME/src/csr/csrApiScan.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/CORE/SME/src/csr/csrApiScan.c b/CORE/SME/src/csr/csrApiScan.c
index b4df9bf..8455200 100644
--- a/CORE/SME/src/csr/csrApiScan.c
+++ b/CORE/SME/src/csr/csrApiScan.c
@@ -417,6 +417,10 @@ static void csrSetDefaultScanTiming( tpAniSirGlobal pMac, tSirScanType scanType,
 #ifdef WLAN_AP_STA_CONCURRENCY
     if(csrIsAnySessionConnected(pMac))
     {
+        //Reset passive scan time as per ini parameter.
+        ccmCfgSetInt(pMac->hHdd,WNI_CFG_PASSIVE_MAXIMUM_CHANNEL_TIME,
+                     pMac->roam.configParam.nPassiveMaxChnTimeConc,
+                     NULL,eANI_BOOLEAN_FALSE);
         //If multi-session, use the appropriate default scan times 
         if(scanType == eSIR_ACTIVE_SCAN)
         {
-- 
1.8.4

